
#ifndef __YMF262_BI__
#define __YMF262_BI__

#inclib "ymf262"

const as integer OPL3_INTERNAL_FREQ = 14400000

type OPL3_TIMERHANDLER as sub cdecl (byval channel as integer, _
                                     byval interval_Sec as double)
type OPL3_IRQHANDLER as sub cdecl (byval param as integer, _
                                   byval irq as integer)
type OPL3_UPDATEHANDLER as sub cdecl (byval param as integer, _
                                      byval min_interval_us as integer)


declare function YMF262Init cdecl alias "YMF262Init" (byval num as integer, _
                                                 byval clock as integer, _
                                                 byval rate as integer) as integer
declare sub YMF262Shutdown cdecl alias "YMF262Shutdown"
declare sub YMF262ResetChip cdecl alias "YMF262ResetChip" (byval which as integer)
declare function YMF262Write cdecl alias "YMF262Write" (byval which as integer, _
                                                        byval a as integer, _
                                                        byval v as integer) as integer
declare function YMF262Read cdecl alias "YMF262Read" (byval which as integer, _
                                                      byval a as integer) as ubyte
declare function YMF262TimerOver cdecl alias "YMF262TimerOver" (byval which as integer, _
                                                                byval c as integer) as integer
declare sub YMF262UpdateOne cdecl alias "YMF262UpdateOne" (byval which as integer, _
                                                           byval buffers as any ptr, _
                                                           byval length as integer)
declare sub YMF262SetTimerHandler cdecl alias "YMF262SetTimerHandler" (byval which as integer, _
                                                                       byval TimerHandler as OPL3_TIMERHANDLER, _
                                                                       byval channelOffset as integer)
declare sub YMF262SetIRQHandler cdecl alias "YMF262SetIRQHandler" (byval which as integer, _
                                                                   byval IRQHandler as OPL3_IRQHANDLER, _
                                                                   byval param as integer)
declare sub YMF262SetUpdateHandler cdecl alias "YMF262SetUpdateHandler" (byval which as integer, _
                                                                         byval UpdateHandler as OPL3_UPDATEHANDLER, _
                                                                         byval param as integer)


#endif